Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.structure
Class ObjectNode.BindingList

    java.lang.Object
      org.apache.slide.structure.ObjectNode.BindingList

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

Direct Known Subclasses:
  ObjectNode.ParentBindingList

Enclosing class:
  ObjectNode

public static class ObjectNode.BindingList
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `container`

Constructor Summary
`ObjectNode.BindingList()`
`ObjectNode.BindingList(java.util.Vector container)`

Method Summary
`java.lang.Object` | `clone()`
`protected java.util.Enumeration` | `elements()`
`ObjectNode.Binding` | `get(java.lang.String bindingName)`
`protected ObjectNode.Binding` | `put(java.lang.String bindingName, ObjectNode source)`
`protected void` | `remove(java.lang.String bindingName)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### container

    protected java.util.Vector container

Constructor Detail

### ObjectNode.BindingList

    public ObjectNode.BindingList()

### ObjectNode.BindingList

    public ObjectNode.BindingList(java.util.Vector container)

Method Detail

### elements

    protected java.util.Enumeration elements()

### get

    public ObjectNode.Binding get(java.lang.String bindingName)

### put

    protected ObjectNode.Binding put(java.lang.String bindingName,
                                     ObjectNode source)

### remove

    protected void remove(java.lang.String bindingName)

### clone

    public java.lang.Object clone()

### toString

    public java.lang.String toString()

### size

    public int size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD